Auto Multiple Choice - Feature # 743: Préserver I'ordre d'importation des copies

Status: New Priority: Normal

Author: p10p Category:

Created: 11/08/2020 Assignee:

Updated: 12/18/2020 Due date:

Description: Pour transmettre la correction aux éléves, je réimprime les annotations sur leurs copies originales.
Malheureusement, il me faut remettre manuellement les copies dans I'ordre alphabétique avant de les mettre
dans l'imprimante.

Serait-il possible d'avoir :
— une option dans AMC pour préserver |'ordre d'importation des copies (et ne pas les classer par ordre
alphabétique du nom)
— une option pour n'exporter que les annotations dans un pdf.
Il est possible de faire cela manuellement avec la commande ghostscript suivante :
<pre>
gs -0 "AnnotationsSeules.pdf" -sDEVICE=pdfwrite -dFILTERIMAGE "Tous_etudiants.pdf"
</pre>
Merci.
History

11/08/2020 02:22 pm - p10 p

EDIT : je viens de voir qu'il est possible depuis l'interface graphique de choisir I'ordre des copies (notamment I'ordre des id). Cela me simplifie

grandement le travail. Je n'avais pas trouvé cette option car vu I'endroit ou elle est disposée, on dirait qu'elle ne s'applique qu'a I'export des notes (et

pas au cadre copies corrigées), ce qui est pourtant le cas.

11/10/2020 07:45 pm - Frédéric Bréal

C'est génial cette commande. Il faudra que je teste sur mes futurs QCM.

Pour Alexis : j'ai remarqué une option @mark@ dans I'onglet rapport et mode de tri. Je n'ai pas compris son fonctionnement méme en lisant le fichier

po.

12/18/2020 01:27 pm - Alexis Bienveniie

- Tracker changed from Bug to Feature
